From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/hugo/
Date: Thu, 7 Mar 2024 08:04:44 +0000 (UTC) [thread overview]
Message-ID: <1709798673.0e3997f877d6dd25c1304c441b318e54def64ebe.ceamac@gentoo> (raw)
commit: 0e3997f877d6dd25c1304c441b318e54def64ebe
Author: tastytea <gentoo <AT> tastytea <DOT> de>
AuthorDate: Tue Mar 5 17:04:45 2024 +0000
Commit: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Thu Mar 7 08:04:33 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e3997f8
www-apps/hugo: add 0.123.7
Signed-off-by: tastytea <gentoo <AT> tastytea.de>
Closes: https://github.com/gentoo/gentoo/pull/35632
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>
www-apps/hugo/Manifest | 2 +
www-apps/hugo/hugo-0.123.7.ebuild | 101 ++++++++++++++++++++++++++++++++++++++
2 files changed, 103 insertions(+)
diff --git a/www-apps/hugo/Manifest b/www-apps/hugo/Manifest
index e3f2d13edafe..42166bc1aec0 100644
--- a/www-apps/hugo/Manifest
+++ b/www-apps/hugo/Manifest
@@ -4,3 +4,5 @@ DIST hugo-0.121.2-vendor.tar.xz 6683208 BLAKE2B d4be99aaf686c79cfda28c3ed4d1023b
DIST hugo-0.121.2.tar.gz 21074668 BLAKE2B 06e42bcba49e9e2329ae1b76cc76caf2ac83e13f067533e07cd5471c064ecc402fb7cffaa21df4e20514d96bcfb7f16b4ff078ab23b84506a4ccfc423b21afca SHA512 717da396fa887995e455c1cc7cfc21c535583ba70cb90bcb15ea47e389aa636e9ffa4f66b28bf313f225579e40bc2864ef9da6ebf00d006b3a1ca68f38a47673
DIST hugo-0.123.0-vendor.tar.xz 6613120 BLAKE2B 4ccf23139eea6cf3d262092234735b9c8faa705b4ffeead73f439ea3703579c3287b82304b201b0ac9d6457c30c9105b77d6ef7916f7a6a814f8763f7c65453a SHA512 21911b4c15e4fd1241f5aaedd307240ca1e90f5fed25363d4cea410c31259fae5d41a6f3a6feaad6a22c596f6aec69095ed11b2194735aeac2a2c8412fdf8042
DIST hugo-0.123.0.tar.gz 21034964 BLAKE2B 0d1c22d7e8ce71f574cefb1209da82a3de93e6d162ed19cfa950acc159514e5dbc2bd21a6b6116887408a4a257e9f36d6a4a8ad5bb64d5c44db60eccb3238702 SHA512 8835b620d480e86df3a315b101d131b3defde29b21628ba48fe805c1af2625600a5c0fe64ebbab48c8ca56310d5d3aae3c98c27f116a5044ce171a68c072006d
+DIST hugo-0.123.7-vendor.tar.xz 6647064 BLAKE2B 4f6932918fa6e2159ad3295332e120d361577647b6b3e63972e475c8863fc43a7b1da2d0ae69b3b7003216f425c4ef1ccabf04fa8367ae5f4bdffa7fd860acc0 SHA512 e3da539a9427be86e1ca792392ac88f02e81d2359e34b0a81478f3006533ca135c367ad8c6f695c3cb37ca7caaa6ef85f3cecba7632cc442db7a3624f7428dca
+DIST hugo-0.123.7.tar.gz 21046177 BLAKE2B 518a90dd9aeff0a704fe2f2c7e0f6e0a6eed2489902a24133906dcda9b3fe1d9eaa356b4cb749671cdeb468bb0db3faa0d4f63a9a32d64dc13db7c3a3a172573 SHA512 8fb3331b05c2b1a2218d399cfea5268e2f3622b7122df3bbe68f262d574ae2d946e7b525411abdf82874911fb262f5b88d2ab887585289e7c9f4accd25257552
diff --git a/www-apps/hugo/hugo-0.123.7.ebuild b/www-apps/hugo/hugo-0.123.7.ebuild
new file mode 100644
index 000000000000..f7559ea691b9
--- /dev/null
+++ b/www-apps/hugo/hugo-0.123.7.ebuild
@@ -0,0 +1,101 @@
+# Copyright 2018-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module shell-completion
+
+DESCRIPTION="Fast static HTML and CSS website generator"
+HOMEPAGE="https://gohugo.io https://github.com/gohugoio/hugo"
+SRC_URI="
+ https://github.com/gohugoio/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://tastytea.de/files/gentoo/${P}-vendor.tar.xz
+"
+
+# NOTE: To create the vendor tarball, run:
+# `go mod vendor && cd .. && tar -caf ${P}-vendor.tar.xz ${P}/vendor`
+
+LICENSE="Apache-2.0 BSD BSD-2 MIT MPL-2.0 Unlicense"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+IUSE="doc +extended test"
+
+BDEPEND="
+ >=dev-lang/go-1.21.6
+ test? (
+ dev-python/docutils
+ dev-ruby/asciidoctor
+ virtual/pandoc
+ )
+"
+RDEPEND="
+ extended? (
+ dev-libs/libsass:=
+ >=media-libs/libwebp-1.3.2:=
+ )
+"
+DEPEND="${RDEPEND}"
+
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.121.0-unbundle-libwebp-and-libsass.patch
+ "${FILESDIR}"/${PN}-0.123.0-skip-some-tests.patch
+)
+
+src_configure() {
+ export CGO_ENABLED=1
+ export CGO_CFLAGS="${CFLAGS}"
+ export CGO_CPPFLAGS="${CPPFLAGS}"
+ export CGO_CXXFLAGS="${CXXFLAGS}"
+ export CGO_LDFLAGS="${LDFLAGS}"
+ export MY_BUILD_FLAGS="$(usev extended "-tags extended")"
+
+ default
+}
+
+src_prepare() {
+ # wants to run command that require network access
+ rm testscripts/commands/mod{,_vendor,__disable,_get,_get_u,_npm{,_withexisting}}.txt || die
+
+ default
+}
+
+src_compile() {
+ mkdir -pv bin || die
+ ego build -ldflags "-X github.com/gohugoio/hugo/common/hugo.vendorInfo=gentoo:${PVR}" \
+ ${MY_BUILD_FLAGS} -o "${S}/bin/hugo"
+
+ bin/hugo gen man --dir man || die
+
+ mkdir -pv completions || die
+ bin/hugo completion bash > completions/hugo || die
+ bin/hugo completion fish > completions/hugo.fish || die
+ bin/hugo completion zsh > completions/_hugo || die
+
+ if use doc ; then
+ bin/hugo gen doc --dir doc || die
+ fi
+}
+
+src_test() {
+ ego test "./..." ${MY_BUILD_FLAGS}
+}
+
+src_install() {
+ dobin bin/*
+ doman man/*
+
+ dobashcomp completions/${PN}
+ dofishcomp completions/${PN}.fish
+ dozshcomp completions/_${PN}
+
+ if use doc ; then
+ dodoc -r doc/*
+ fi
+}
+
+pkg_postinst() {
+ elog "the sass USE-flag was renamed to extended. the functionality is the" \
+ "same, except it also toggles the dependency on libwebp (for encoding)"
+}
next reply other threads:[~2024-03-07 8:04 UTC|newest]
Thread overview: 117+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-03-07 8:04 Viorel Munteanu [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-20 6:37 [gentoo-commits] repo/gentoo:master commit in: www-apps/hugo/ Joonas Niilola
2024-08-20 6:37 Joonas Niilola
2024-08-04 7:03 Joonas Niilola
2024-08-04 7:03 Joonas Niilola
2024-08-04 7:03 Joonas Niilola
2024-07-29 23:33 Eli Schwartz
2024-07-21 0:32 Sam James
2024-07-10 5:26 Joonas Niilola
2024-06-23 13:27 Viorel Munteanu
2024-06-23 13:27 Viorel Munteanu
2024-06-06 13:14 Viorel Munteanu
2024-06-06 13:14 Viorel Munteanu
2024-04-29 8:47 Viorel Munteanu
2024-04-24 18:18 Sam James
2024-04-07 7:07 Viorel Munteanu
2024-04-07 7:07 Viorel Munteanu
2024-04-07 7:07 Viorel Munteanu
2024-03-31 16:47 Jakov Smolić
2024-02-07 13:59 Joonas Niilola
2024-02-07 13:59 Joonas Niilola
2024-02-07 13:59 Joonas Niilola
2024-01-08 7:39 Joonas Niilola
2023-12-07 6:49 Viorel Munteanu
2023-12-07 6:49 Viorel Munteanu
2023-10-19 17:23 Viorel Munteanu
2023-09-11 9:37 Viorel Munteanu
2023-07-24 6:39 Viorel Munteanu
2023-07-09 8:08 Viorel Munteanu
2023-03-20 6:43 Viorel Munteanu
2023-03-20 6:43 Viorel Munteanu
2023-03-07 8:27 Joonas Niilola
2023-03-07 8:27 Joonas Niilola
2023-02-25 12:47 Jakov Smolić
2023-02-03 17:45 William Hubbs
2023-02-03 6:08 William Hubbs
2023-01-29 9:14 Joonas Niilola
2022-12-29 16:53 Viorel Munteanu
2022-12-29 16:53 Viorel Munteanu
2022-12-12 7:20 Viorel Munteanu
2022-12-12 7:20 Viorel Munteanu
2022-11-18 15:39 Arthur Zamarin
2022-11-18 8:17 Joonas Niilola
2022-11-18 8:17 Joonas Niilola
2022-10-15 10:52 Joonas Niilola
2022-10-15 10:52 Joonas Niilola
2022-10-15 10:52 Joonas Niilola
2022-08-25 5:31 WANG Xuerui
2022-06-25 2:50 Sam James
2022-06-25 2:50 Sam James
2022-06-25 2:50 Sam James
2022-05-05 4:23 Sam James
2022-05-05 4:23 Sam James
2022-04-11 13:12 Joonas Niilola
2022-03-26 13:54 Joonas Niilola
2022-03-26 13:54 Joonas Niilola
2022-03-26 13:54 Joonas Niilola
2022-03-26 13:54 Joonas Niilola
2022-03-08 13:18 Sam James
2022-03-08 13:18 Sam James
2022-02-23 17:04 Michał Górny
2022-01-28 7:53 Sam James
2022-01-28 7:53 Sam James
2022-01-07 5:14 Sam James
2022-01-07 5:14 Sam James
2021-12-21 2:05 Sam James
2021-12-21 2:05 Sam James
2021-11-22 10:11 Sam James
2021-11-22 10:11 Sam James
2021-09-12 4:43 Sam James
2021-09-12 4:43 Sam James
2021-08-15 14:46 Joonas Niilola
2021-08-15 14:46 Joonas Niilola
2021-08-01 6:39 Joonas Niilola
2021-08-01 6:39 Joonas Niilola
2021-07-23 7:03 Joonas Niilola
2021-07-23 7:03 Joonas Niilola
2021-07-16 7:02 Joonas Niilola
2021-07-16 7:02 Joonas Niilola
2021-07-02 7:38 Joonas Niilola
2021-07-02 7:38 Joonas Niilola
2021-06-21 22:36 Sam James
2021-06-21 22:36 Sam James
2021-06-03 7:01 Joonas Niilola
2021-06-03 7:01 Joonas Niilola
2021-02-19 20:18 Thomas Deutschmann
2020-11-12 8:18 Joonas Niilola
2020-11-12 8:18 Joonas Niilola
2020-10-17 13:19 Joonas Niilola
2020-10-10 12:35 Joonas Niilola
2020-10-10 12:35 Joonas Niilola
2020-04-21 8:18 Joonas Niilola
2020-04-21 8:18 Joonas Niilola
2020-04-14 8:35 Joonas Niilola
2020-01-03 9:15 Joonas Niilola
2020-01-03 9:15 Joonas Niilola
2020-01-03 9:15 Joonas Niilola
2019-11-01 14:11 Joonas Niilola
2019-11-01 14:11 Joonas Niilola
2019-10-10 2:54 Joonas Niilola
2019-10-07 14:28 Manuel Rüger
2019-09-11 16:21 Michał Górny
2019-05-03 13:05 Manuel Rüger
2019-04-10 8:40 Manuel Rüger
2018-09-06 18:08 Manuel Rüger
2018-08-05 13:08 Manuel Rüger
2018-07-25 14:02 Manuel Rüger
2018-07-24 13:47 Manuel Rüger
2018-07-13 12:30 Manuel Rüger
2018-06-13 14:27 Manuel Rüger
2018-06-13 14:27 Manuel Rüger
2018-05-15 11:33 Manuel Rüger
2018-05-15 11:33 Manuel Rüger
2018-04-26 1:34 Manuel Rüger
2018-04-10 0:42 Manuel Rüger
2018-04-10 0:41 Manuel Rüger
2018-03-30 15:18 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1709798673.0e3997f877d6dd25c1304c441b318e54def64ebe.ceamac@gentoo \
--to=ceamac@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox